<?xml version="1.0" encoding="UTF-8"?>
<schemalist gettext-domain="saldo">
	<schema id="org.tabos.saldo" path="/org/tabos/saldo/">
		<key type="s" name="blz">
			<default>''</default>
			<summary>BLZ</summary>
			<description>BLZ.</description>
		</key>
		<key type="s" name="user">
			<default>''</default>
			<summary>User</summary>
			<description>User name which is used to login to online banking.</description>
		</key>
		<key type="s" name="server">
			<default>''</default>
			<summary>Online banking server</summary>
			<description>FINTS online banking server url.</description>
		</key>
		<key type="s" name="safe-password-hash">
			<default>''</default>
			<summary>Safe password hash</summary>
			<description>Hash of the user safe password.</description>
		</key>
    <key type="b" name="dark-theme">
        <default>false</default>
        <summary>Use dark GTK theme</summary>
        <description>Use the dark variant of your GTK+ theme. Please note that not every GTK+ theme has a dark variant.</description>
    </key>
    <key type="u" name="lock-timer">
        <default>120</default>
        <summary>Number of seconds until safe is locked</summary>
        <description>Safe will be locked automatically after n seconds of inactivity.</description>
    </key>
    <key type="u" name="safe-days">
        <default>60</default>
        <summary>Number of days to load</summary>
        <description>saldo will try to load those days.</description>
    </key>
    <key type="b" name="automatic-refresh">
        <default>false</default>
        <summary>Update safe automatically</summary>
        <description>Whether to refresh accounts automatically.</description>
    </key>
    <key type="ai" name="window-size">
        <default>[1024, 640]</default>
        <summary>Window size</summary>
        <description>Remember the window size.</description>
    </key>
    <key type="b" name="run-in-background">
        <default>false</default>
        <summary>Run in background</summary>
        <description>If enabled, application continues running in the background after closing the window.</description>
    </key>
    <key type="b" name="autostart">
        <default>false</default>
        <summary>Autostart application</summary>
        <description>If enabled, application will be autostart during system startup.</description>
    </key>
    <key type="b" name="quickunlock">
        <default>false</default>
        <summary>Enable Quickunlock</summary>
        <description>With Quick Unlock enabled, a safe can be re-entered using the last four characters of the password. If the first try is wrong, the full password is needed to unlock the safe.</description>
    </key>
    <key type="b" name="fingerprint-quickunlock">
        <default>false</default>
        <summary>Enable Fingerprint Quickunlock</summary>
        <description>Use the fingerprint reader to quick unlock a locked safe.</description>
    </key>
	</schema>
</schemalist>
